<template>
    <form>
        <div class="row">
            <div class="col-md-6 my-1">
                <input
                    required
                    class="form-control"
                    placeholder="Nombre"
                    type="text"
                    v-model="datos.firstname"
                />
            </div>
            <!-- col -->
            <div class="col-md-6 my-1">
                <input
                    required
                    class="form-control"
                    placeholder="Apellido"
                    type="text"
                    v-model="datos.lastname"
                />
            </div>
            <!-- col -->
            <div class="col-md-6 my-1">
                <input
                    required
                    class="form-control"
                    placeholder="Fecha de nacimiento"
                    type="date"
                    v-model="datos.birthdate"
                />
            </div>
            <!-- col -->
            <div class="col-md-6 my-1">
                <input
                    required
                    class="form-control"
                    placeholder="Email Address"
                    type="email"
                    v-model="datos.email"
                />
            </div>
            <div class="col-md-6 my-1">
                <input
                    required
                    class="form-control"
                    placeholder="Telefono"
                    type="phone"
                    v-model="datos.phone"
                />
            </div>
            <div v-if="fields == 0" class="col-md-6 my-1 text-dark">
                Añadir Miembro Familiar
                <button
                    @click.prevent="addNewField"
                    class="btn-xs btn-outline-primary "
                >
                    +
                </button>
            </div>
            <template v-for="i of fields">
                <div
                    v-if="i == 1"
                    :key="'A' + i"
                    class="col-md-6 my-1 d-none d-lg-block"
                ></div>
                <hr :key="'hr' + i" />
                <div :key="'B' + i" class="col-md-6 my-1">
                    <input
                        required
                        class="form-control"
                        placeholder="Fecha de nacimiento"
                        type="date"
                        v-model="aditional[i-1].birthdate"
                    />
                </div>
                <!-- col -->
                <div :key="'C' + i" class="col-md-6 my-1">
                    <input
                        required
                        class="form-control"
                        placeholder="Parentesco"
                        type="text"
                        v-model="aditional[i-1].rel"
                    />
                </div>
                <div
                    :key="'D' + i"
                    v-if="fields == i"
                    class="col-md-6 my-1 text-dark"
                >
                    Añadir Miembro Familiar
                    <button
                        @click.prevent="addNewField"
                        class="btn-xs btn-outline-primary "
                    >
                        +
                    </button>
                </div>
            </template>
            <!-- col -->
            <div class="col-md-12 my-1">
                <button @click.prevent="cotizar" class="btn btn-primary w-100">
                    Obtener Cotización
                </button>
            </div>
            <!-- col -->
        </div>
    </form>
</template>
<script>
export default {
    data() {
        return {
            fields: 0,
            datos: {
                firstname:null,
                lastname:null,
                birthdate:null,
                email: null,
                phone: null,
                
            },
            aditional:[]
        };
    },
    methods: {
        addNewField() {
            this.fields++;
            this.aditional.push({birthdate:null,rel:null})
        },
        cotizar(){
            console.log(this.datos,this.aditional);
        }
    }
};
</script>
